Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002339 [JEDI VCL] 00 JVCL Components block always 2004-11-25 06:45 2004-11-29 08:44
Reporter JohnML View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version 2.10
Summary 0002339: Application not executing on Windows Server 2003
Description App with JvDBGrid will run on W2k and winXP but it doesn't start on a machine running Windows Server 2003 Standard Edition. There's no error message except in the event log. See the attached file.

I experienced with a little example app: with JvDBCtrl in uses clause -> not running. With some comps from JVCL not using JvDBCtrl -> app is running on Windows Server 2003.

These problems doesn't appear if i use JvDBGrid from JVCL 3 !!!

Regards, John
Additional Information
Tags No tags attached.
Attached Files txt file icon AppEventLogJVCLDEMO.txt [^] (962 bytes) 2004-11-25 06:45

- Relationships

-  Notes
(0005704)
JohnML (reporter)
2004-11-25 07:24

My computer:

Delphi 5 Pro

  < Processor(s) >
    Model: AMD Athlon(tm) XP 2200+
    Speed: 1.80GHz
    Model Number: 2200 (estimated)
    Performance Rating: PR2629 (estimated)
    L2 On-board Cache: 256kB ECC synchronous write-back

  < Mainboard and BIOS >
    Bus(es): ISA AGP PCI USB
    MP Support: 1 CPU(s)
    System BIOS: Phoenix Technologies, LTD 6.00 PG
    Mainboard: KM400-8235
    System Chipset: VIA Technologies Inc Unknown (3205)
    Front Side Bus Speed: 2x 133MHz (266MHz data rate)
    Installed Memory: 192MB

 
  < Operating System(s) >
    Windows System: Microsoft Windows 2000 Professional Workstation Ver
                                          5.00.2195 Service Pack 4
(0005707)
user72
2004-11-25 09:47

So why not upgrade to JVCL3, then?
(0005720)
JohnML (reporter)
2004-11-26 01:23

Hi Peter,

thanks for your answer!

"So why not upgrade to JVCL3, then?"
You are right but i'm anxious about apps that have to be changed a lot and JVCL3 is still Beta.
Yes i used JConvert.exe allready (RxLib -> JVCL)
Another Problem: i still use Delphi 5 and how can i use the JVCL.CHM helpfile from within the IDE ?? I just googled for that, but couldn't find a solution so far. Now i'm decompiling the huge JVCL.CHM to change it to the old *.hlp system: my pc at home is still working !!

Anyway, i'll change to JVCL3 !

regards, John
(0005722)
AHUser (developer)
2004-11-26 06:22

JVCL 3 is more stable than JVCL 2.

I have added the chm to the "Tools" menu. Help on Context does not work but the search function is enough for me.
(0005732)
user72
2004-11-27 13:40

Search the bug database for GetCPUSpeed, apply the fix and see if that resolves it
(0005755)
JohnML (reporter)
2004-11-29 08:16

Thank's for your help!!!

I'm using JVCL3 now and this "buck" doesn't hurt me any more!

P.S. I changed a lot of my projects now using JVCL3 instead of RxLib. To tweak the code i used jvclconvert.exe that did most of the work !!
But: TRxCheckListBox should be replaced by TJvxCheckListbox [TJvx(!!)..] and not TJvCheckListbox as it is written in the *.dat files!
Perhaps someone knows where to report this !

regards,
(0005756)
user72
2004-11-29 08:44

>But: TRxCheckListBox should be replaced by TJvxCheckListbox [TJvx(!!)..] and >not TJvCheckListbox as it is written in the *.dat files!
I'll fix it. Thanks

- Issue History
Date Modified Username Field Change
2004-11-25 06:45 JohnML New Issue
2004-11-25 06:45 JohnML File Added: AppEventLogJVCLDEMO.txt
2004-11-25 06:47 JohnML Issue Monitored: JohnML
2004-11-25 07:24 JohnML Note Added: 0005704
2004-11-25 09:47 user72 Note Added: 0005707
2004-11-25 09:47 user72 Status new => feedback
2004-11-26 01:23 JohnML Note Added: 0005720
2004-11-26 06:22 AHUser Note Added: 0005722
2004-11-27 13:40 user72 Note Added: 0005732
2004-11-29 08:16 JohnML Note Added: 0005755
2004-11-29 08:44 user72 Status feedback => resolved
2004-11-29 08:44 user72 Resolution open => fixed
2004-11-29 08:44 user72 Assigned To => user72
2004-11-29 08:44 user72 Note Added: 0005756
2004-11-29 08:44 user72 Assigned To user72 =>


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker